project(architect2_tests)

include_directories (${tuplesproc_SOURCE_DIR} ${unit_tests_SOURCE_DIR} ${Matrices_SOURCE_DIR})
add_executable(tests-architect2 main.cpp architect.cpp ${tuplesproc_SOURCE_DIR}/index.cpp)
target_link_libraries(tests-architect2 ${Boost_LIBRARIES} matrices test_utils)
add_custom_target(test-architect2 tests-architect2)
